## qtdeclarative-opensource-src 5.0.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  [ Timo Jyrinki ]
  * New upstream release. 
  * Add patches:
    - fix_lp1087643.patch
    - rendering_performance_fix_lp1092358.patch
    - we_do_want_the_mouse_event_to_ourselves.patch
  * Cherry-pick from upstream:
    - add_license_files.patch

  [ Didier Roche ]
  * Misc minor fixes to lintian override and patch formats

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 05 Feb 2013 14:17:19 +0000
