## qtdeclarative-opensource-src 5.0.2

=== debian/changelog ===
qtdeclarative-opensource-src (5.0.2-6ubuntu4) saucy; urgency=low

  * debian/patches/fix_1236765.patch:
    - Fix infinite loop QQmlIncubator::forceCompletion (LP: #1236765)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 08 Oct 2013 13:20:40 +0300

qtdeclarative-opensource-src (5.0.2-6ubuntu3) saucy; urgency=low

  * debian/patches/qml_type_loading.patch
    - Workaround for (LP: #1233705)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Oct 2013 18:19:11 +0300

qtdeclarative-opensource-src (5.0.2-6ubuntu2) saucy; urgency=low

  * Add qtquick_delegate_creation_range_itemviews.patch to patchset.
    (LP: #1217924)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 11 Sep 2013 14:03:31 +0200

qtdeclarative-opensource-src (5.0.2-6ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]
  * Resync with Debian, remaining changes:
    - Keep cherry-picked patches, and symbols
    - Keep debian/patches/rendering_performance_fix_lp1092358.patch
    - Add Vcs-Bzr field
  * Fix https://bugreports.qt-project.org/browse/QTBUG-30246 (LP: #1198830)
    - debian/patches/0b190b7114c816689eeb8478ea5151732bc7a5de_backport.patch
    - debian/patches/81a9dd71b9ce60ab4cae629b67d6f26ebdeb19db_backport.patch

  [ Dmitry Shachnev ]
  * Merge with Debian 5.0.2-6 to bring in documentation packages.
  * Note: architecture restrictions have been dropped from this upload,
    as requested by the Release Team.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Jul 2013 07:51:02 +0300

qtdeclarative-opensource-src (5.0.2-6) experimental; urgency=low

  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 18:29:51 -0300

qtdeclarative-opensource-src (5.0.2-5) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make every package that ships a binary managed by qtchooser depend on it.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Update symbols files.
  * Set qtdeclarative5-dbg as M-A same, so it can be coinstalled with other
    archs debugging symbols.

  [ Timo Jyrinki ]
  * Depend on libgl1-mesa-dri from the qtquick2 QML plugin
    - Not depending may cause crashes due to lack of VBO support
      (https://bugs.launchpad.net/bugs/1176199)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Jun 2013 21:33:20 -0300

qtdeclarative-opensource-src (5.0.2-4) experimental; urgency=low

  [ Pino Toscano ]
  * debian/control: remove extra ${misc:Pre-Depends} from qmlscene and
    qtdeclarative5-dev-tools.
  * Update symbols files.
  * Fix Vcs-* headers.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols with amd64 build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 18 May 2013 21:25:40 -0300

qtdeclarative-opensource-src (5.0.2-3) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols files.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 May 2013 14:53:19 -0300

qtdeclarative-opensource-src (5.0.2-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix wrong permissions of examples.

  [ Pino Toscano ]
  * Update symbols files.
  * qtdeclarative5-localstorage-plugin: depend on libqt5sql5-sqlite, as it is
    used directly.
  * Remove extra ${shlibs:Depends} from qtdeclarative5-private-dev.
  * Bump the libqt5v8-5-private-dev and libqt5xmlpatterns5-private-dev build
    dependencies to 5.0.2~.
  * rules: use $(DEB_HOST_MULTIARCH) everywhere.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Apr 2013 20:45:49 -0300

qtdeclarative-opensource-src (5.0.2-1ubuntu2) saucy; urgency=low

  [ Timo Jyrinki ]
  * debian/patches/8a3d48915c29484c9ffb2fb8f0e3b569a9fe9b44_backport.patch:
    - Cherry-pick from upstream
      https://codereview.qt-project.org/#change,56583 (LP: #1183350)
  * debian/patches/0001-Fallback-to-QMetaObject-for-properties-not-in-QQmlPr.patch:
    - Cherry-pick from upstream
      https://codereview.qt-project.org/#change,57392 (LP: #1187746)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 20 Jun 2013 15:24:17 -0400

qtdeclarative-opensource-src (5.0.2-1ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]  
  * debian/patches/we_do_want_the_mouse_event_to_ourselves.patch:
    - Drop, merged upstream
  * debian/patches/fix_lp1087643.patch:
    - Drop, merged upstream
  * Merge with Debian experimental, remaining changes:
    - Keep architecture restrictions
    - Keep debian/patches/rendering_performance_fix_lp1092358.patch
  * Add libgl1-mesa-dri dependency for the quick2 plugin (LP: #1176199) 
  * Cherry-pick listview crasher fixes from upstream 5.1 branch (LP: #1176962):
    - debian/patches/01_8563adb737cec5d440197ddbd514fe201c5f18ff_backport.patch
    - debian/patches/02_53e317468626284fe26877659dff551ce3bc0e55_backport.patch
    - debian/patches/03_51665a9ecaebaef2382c1e76ebedfeffacb4b3de_backport.patch
    - debian/patches/04_9d6cd72353e4862592c016951810abf9a7ab8079_backport.patch

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix wrong permissions of examples.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 29 Apr 2013 16:27:13 -0700

qtdeclarative-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Apr 2013 21:46:50 -0300

qtdeclarative-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156) 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 21 Mar 2013 06:48:55 +0000

qtdeclarative-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  [ Ken VanDine ]
  * debian/control

