## qtdeclarative-opensource-src 5.2.1

=== tests/auto/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 include("${_Qt5CTestMacros}")
 
-set(Qt5_MODULE_TEST_DEPENDS Network Gui)
-
 test_module_includes(
   Qml QQmlEngine
   Quick QQuickWindow
