=== debian/changelog ===
qtdeclarative-opensource-src (5.2.1-3ubuntu15) trusty; urgency=medium

  * Fix_QSmoothedAnimation_sometimes_getting_stuck.patch
    - Fix SmoothedAnimation getting stuck (LP: #1305015) (LP: #1300326)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 10 Apr 2014 09:00:28 +0300

qtdeclarative-opensource-src (5.2.1-3ubuntu14) trusty; urgency=medium

  * libqt5quick5.symbols, libqt5quicktest5.symbols: adding dep alternatives
    for the version compatible with OpenGLES (provided by another src pkg)
  * debian/control: changing qtdeclarative5-dev deps so it can also be used
    together with the ones built with the OpenGLES backend by default

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 10 Apr 2014 00:33:21 -0300

qtdeclarative-opensource-src (5.2.1-3ubuntu13) trusty; urgency=medium

  * debian/patches/Support-RFC2822Date-date-format-similar-to-V8.patch
    - Support RFC 2822 format (LP: #1298978)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 03 Apr 2014 05:55:24 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu12) trusty; urgency=medium

  * 0001-Call-tzset-from-getLocalTZA-so-we-learn-about-tz-cha.patch: Call
    tzset() from getLocalTZA() so we learn about tz changes. Cherry-pick from
    upstream stable branch (LP: #1295550)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 31 Mar 2014 12:05:28 +0100

qtdeclarative-opensource-src (5.2.1-3ubuntu11) trusty; urgency=medium

  * debian/patches/Don-t-crash-on-Runtime-getQmlImportedScripts.patch
    - Backport from upstream code submittal (LP: #1294181)
  * debian/patches/Fix-global-object-handling-in-worker-script-JS-files.patch
    - Backport a fix from upstream (LP: #1294019)
  * debian/patches/V4-JIT-save-restore-ebx-GOT-ptr-on-linux-x86.patch
    debian/patches/V4-fix-range-sorting.patch
    debian/patches/V4-regalloc-fix-interval-splitting-when-register-pre.patch
    - Replace Don-t-use-ebx-in-the-x86-register-allocator.patch with a newer 
      set of fixes from upstream (LP: #1271033)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 24 Mar 2014 06:27:18 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu10) trusty; urgency=medium

  * debian/patches/Fix-crash-when-appending-arrays-to-sub-models-in-lis.patch
    - Backport from upstream https://codereview.qt-project.org/#change,80934
      (LP: #1291602)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 09:37:56 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu9) trusty; urgency=medium

  * debian/patches/clean_chain_of_incubated_objects.patch:
    - Backport from upstream https://codereview.qt-project.org/#change,80893

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 07:56:15 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu8) trusty; urgency=medium

  * debian/libqt5qml5.symbols:
    - Update arm64 symbols from build logs

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 16:35:51 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu7) trusty; urgency=medium

  [ Colin Watson ]
  * debian/patches/aarch64.patch:
    - Update to fix FTBFS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 15:39:52 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu6) trusty; urgency=medium

  * debian/libqt5qml5.symbols:
    - Update another symbol from build logs

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 08 Mar 2014 15:13:51 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu5) trusty; urgency=medium

  [ Colin Watson ]
  * debian/patches/aarch64.patch:
    - Add support for arm64.  (Ported from webkitgtk.)
  * debian/patches/ppc64el.patch:
    - Handle little-endian mode for PowerPC.
  * debian/libqtqml5.symbols:
    - Mark MASM symbols as "amd64 armel armhf i386 mips mipsel" rather than
      "!powerpc", corresponding to architectures where the assembler is
      enabled.
    - Apply some other miscellaneous symbols adjustments for ppc64el.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 08 Mar 2014 10:04:10 +0200

qtdeclarative-opensource-src (5.2.1-3ubuntu4) trusty; urgency=medium

  * debian/patches/Fix-crash-when-accessing-var-properties-in-objects-w.patch:
    - Cherry-pick from upstream https://codereview.qt-project.org/#change,79857
      (LP: #1277206)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 04 Mar 2014 17:08:07 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu3) trusty; urgency=medium

  * Update powerpc symbols from build logs and Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 05:43:37 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu2) trusty; urgency=medium

  * Update symbols from build logs

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 27 Feb 2014 16:30:51 +0000

qtdeclarative-opensource-src (5.2.1-3ubuntu1) trusty; urgency=low

  [ Timo Jyrinki ]
  * New upstream release. (LP: #1253603) (LP: #1242629)
  * Bump build deps to 5.2.1
  * Drop a patch that upstream has fixed in another way:
    - rendering_performance_fix_lp1092358.patch
  * Drop patches submitted and merged upstream:
    - 0001-Fallback-to-QMetaObject-for-properties-not-in-QQmlPr.patch
    - 8a3d48915c29484c9ffb2fb8f0e3b569a9fe9b44_backport.patch
    - 03_51665a9ecaebaef2382c1e76ebedfeffacb4b3de_backport.patch
    - 04_9d6cd72353e4862592c016951810abf9a7ab8079_backport.patch
    - fix_1236765.patch
    - qml_type_loading.patch
  * Drop other backported patches:
    - 0b190b7114c816689eeb8478ea5151732bc7a5de_backport.patch
    - 81a9dd71b9ce60ab4cae629b67d6f26ebdeb19db_backport.patch
    - 01_8563adb737cec5d440197ddbd514fe201c5f18ff_backport.patch
    - 02_53e317468626284fe26877659dff551ce3bc0e55_backport.patch
  * Update *.install
  * Add new packages qtdeclarative5-dialogs-plugin, 
    qtdeclarative5-models-plugin and qtdeclarative5-privatewidgets-plugin
  * Add debian/patches/correct_geometry_for_2x_pixmaps.patch
    (LP: #1214374)
  * Update symbols
  * 0001-Reset-on-model-layout-changed.patch was merged upstream (LP: #1242629)
  * Add qtdeclarative5-settings-plugin package

