=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtdeclarative5-dbg
 
 override_dh_auto_configure:
-	qmake
+	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
-	dh_auto_build -Smakefile -- docs
+	dh_auto_build -Smakefile -- html_docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -41,7 +41,7 @@
 	\) -print0 | xargs -0 chmod a-x
 
 override_dh_auto_install-indep:
-	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_html_docs
 
 override_dh_install:
 	dh_install --fail-missing
@@ -49,5 +49,15 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
-# Requires X so disabled for now
 override_dh_auto_test:
+	cp -a src/imports/qtquick2/qmldir qml/QtQuick.2
+	cp -a src/imports/folderlistmodel/qmldir qml/Qt/labs/folderlistmodel/
+	cp -a src/imports/settings/qmldir qml/Qt/labs/settings/
+	cp -a src/imports/window/qmldir qml/QtQuick/Window.2/
+	cp -a src/imports/models/qmldir qml/QtQml/Models.2/
+	cp -a src/imports/testlib/qmldir qml/QtTest
+	cp -a src/imports/testlib/TestCase.qml qml/QtTest
+	cp -a src/imports/testlib/SignalSpy.qml qml/QtTest
+	cp -a src/imports/testlib/testlogger.js qml/QtTest
+	make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/qml QT_QPA_PLATFORM=minimal
+
